
WMDERPDIR=.wmde-osync

LOGFILE=$HOMEDIR/$WMDERPDIR/usersync.log
PIDFILE=$HOMEDIR/$WMDERPDIR/usersync.pid
FIRSTSYNC=$HOMEDIR/$WMDERPDIR/firstsync-done
FULLSYNC=$HOMEDIR/$WMDERPDIR/fullsync-done
CONFIGSYNC=$HOMEDIR/$WMDERPDIR/configsync-done

HOMEDIR=$(getent passwd "$PAM_USER" | cut -d: -f6) 

create_wmderpdir ()
{
mkdir -p $HOMEDIR/$WMDERPDIR
	LASTERROR=$?  
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi
}


create_knonw_hosts_and_nfshomedir()
{
	KNOWNHOSTS=`$PREFIX/wmde-rp-generate-known-hosts.sh`
	LASTERROR=$? 
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi

	echo $KNOWNHOSTS > "$HOMEDIR/$WMDERPDIR/known_hosts"
	LASTERROR=$?  
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi

	# The following creates users home directory on the nfs server if not already exists 
	ssh $SSHARGS $PAM_USER@$NFSSERVER /usr/bin/true
	LASTERROR=$?  
	if [ $LASTERROR -ne 0 ]; then 
		echo $$ > $CONFIGSYNC
		echo $$ > $FULLSYNC
		exit $LASTERROR 
	fi
}


